public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: www-apps/gitea/files/, www-apps/gitea/
@ 2016-12-24 21:08 Manuel Rüger
  0 siblings, 0 replies; 7+ messages in thread
From: Manuel Rüger @ 2016-12-24 21:08 UTC (permalink / raw
  To: gentoo-commits

commit:     247dedad5366d05f1598ce56497294ad09a9c6c1
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 24 21:08:16 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Dec 24 21:08:29 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=247dedad

www-apps/gitea: Version bump to 1.0.0

Add initscript
Add logrotate file

Package-Manager: portage-2.3.3

 www-apps/gitea/Manifest                            |  2 +-
 www-apps/gitea/files/gitea.confd                   |  2 ++
 www-apps/gitea/files/gitea.initd                   | 25 ++++++++++++++++++++++
 www-apps/gitea/files/gitea.logrotated              |  8 +++++++
 ...-0.9.97_p20161219.ebuild => gitea-1.0.0.ebuild} | 17 +++++++++------
 5 files changed, 47 insertions(+), 7 deletions(-)

diff --git a/www-apps/gitea/Manifest b/www-apps/gitea/Manifest
index 96821ec..b1e5922 100644
--- a/www-apps/gitea/Manifest
+++ b/www-apps/gitea/Manifest
@@ -1 +1 @@
-DIST gitea-0.9.97_p20161219.tar.gz 14260080 SHA256 2166e85478ac1add4d5d1913cc986824cd11be92b738e91185ebdf93239e897e SHA512 046ee631db3b417141a607087bd57d0ec8eb6739510bb04e7d13c3b8254159e4fa4dfb71257b2435edecbc38d786f6d7021cfdcd4faa8de16e2b2469fedddcef WHIRLPOOL 7148c99dcec49ecc040f8d5dbfe2fd0feb368a8200842bea5b2d3e3b5283d16754a9c21994f001e9520a047990061942b2f4b69d9f77b909f56529e9699d0ff1
+DIST gitea-1.0.0.tar.gz 13444004 SHA256 3ad67b91f44e0b60739c57f42c880276686347f76e5993f9d95b99ab4f67185c SHA512 5047256cd02a5592a41600abdcb10a3ffee42dda7bd9696d60e8a926f0846098a6686de941feefc52b4070ed9842a744a2f5765c8a1e6ea26d5a63cca2fa96a2 WHIRLPOOL 1cf2205ac0cbcccb56f32101218780c250ad947ad961fcfecc5ceb5be56446a554d5cb2852569ff88fbc218eddc4bac2efd9c392fc53b2830d900b7dd76c0e99

diff --git a/www-apps/gitea/files/gitea.confd b/www-apps/gitea/files/gitea.confd
new file mode 100644
index 00000000..cb99b52
--- /dev/null
+++ b/www-apps/gitea/files/gitea.confd
@@ -0,0 +1,2 @@
+# arguments for gitea
+command_args="--config /etc/gitea/app.ini"

diff --git a/www-apps/gitea/files/gitea.initd b/www-apps/gitea/files/gitea.initd
new file mode 100644
index 00000000..05565f6
--- /dev/null
+++ b/www-apps/gitea/files/gitea.initd
@@ -0,0 +1,25 @@
+#!/sbin/openrc-run
+# Copyright 2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+description="Gitea, a self-hosted Git service"
+pidfile=${pidfile:-"/run/${SVCNAME}/${SVCNAME}.pid"}
+user=${user:-${SVCNAME}}
+group=${group:-${SVCNAME}}
+
+command="/usr/bin/gitea web"
+command_args="${command_args:--config /etc/gitea/app.ini}"
+command_background="true"
+start_stop_daemon_args="--user ${user} --group ${group} \
+	--stdout /var/log/${SVCNAME}/${SVCNAME}.log \
+	--stderr /var/log/${SVCNAME}/${SVCNAME}.log"
+
+depend() {
+	need net
+	after net
+}
+
+start_pre() {
+	checkpath -d -m 0755 -o "${user}":"${group}" "${pidfile%/*}"
+}

diff --git a/www-apps/gitea/files/gitea.logrotated b/www-apps/gitea/files/gitea.logrotated
new file mode 100644
index 00000000..4ddfdf0
--- /dev/null
+++ b/www-apps/gitea/files/gitea.logrotated
@@ -0,0 +1,8 @@
+/var/log/gitea/* {
+	su gitea gitea
+	missingok
+	size 5M
+	rotate 3
+	compress
+	copytruncate
+}

diff --git a/www-apps/gitea/gitea-0.9.97_p20161219.ebuild b/www-apps/gitea/gitea-1.0.0.ebuild
similarity index 74%
rename from www-apps/gitea/gitea-0.9.97_p20161219.ebuild
rename to www-apps/gitea/gitea-1.0.0.ebuild
index bba08a9..9214243 100644
--- a/www-apps/gitea/gitea-0.9.97_p20161219.ebuild
+++ b/www-apps/gitea/gitea-1.0.0.ebuild
@@ -6,7 +6,7 @@ EAPI=6
 inherit user golang-build golang-vcs-snapshot
 
 EGO_PN="code.gitea.io/gitea/..."
-EGIT_COMMIT="8559d6f267324241496b8611bc8e6f76efe869b7"
+EGIT_COMMIT="6aacf4d2f09631359b99df562b4bf31dcef44ea3"
 ARCHIVE_URI="https://github.com/go-gitea/gitea/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
 KEYWORDS="~amd64"
 
@@ -30,7 +30,7 @@ src_prepare() {
 	default
 	local GITEA_PREFIX=${EPREFIX}/var/lib/gitea
 	sed -i -e "s/git rev-parse --short HEAD/echo ${EGIT_COMMIT:0:7}/"\
-		-e "s/^VERSION =*/VERSION = ${PV}/"\
+		-e "s/^LDFLAGS += -X \"main.Version.*$/LDFLAGS += -X \"main.Version=${PV}\"/"\
 		-e "s/-ldflags '-s/-ldflags '/" src/${EGO_PN%/*}/Makefile || die
 	sed -i -e "s#RUN_USER = git#RUN_USER = gitea#"\
 		-e "s#^STATIC_ROOT_PATH =#STATIC_ROOT_PATH = ${EPREFIX}/usr/share/themes/gitea/default#"\
@@ -39,22 +39,27 @@ src_prepare() {
 		-e "s#^PROVIDER_CONFIG = data/sessions#PROVIDER_CONFIG = ${GITEA_PREFIX}/data/sessions#"\
 		-e "s#^AVATAR_UPLOAD_PATH = data/avatars#AVATAR_UPLOAD_PATH = ${GITEA_PREFIX}/data/avatars#"\
 		-e "s#^TEMP_PATH = data/tmp/uploads#TEMP_PATH = ${GITEA_PREFIX}/data/tmp/uploads#"\
-		-e "s#^PATH = data/attachements#PATH = ${GITEA_PREFIX}/data/attachements#"\
+		-e "s#^PATH = data/attachments#PATH = ${GITEA_PREFIX}/data/attachments#"\
 		-e "s#^ROOT_PATH =#ROOT_PATH = ${EPREFIX}/var/log/gitea#" src/${EGO_PN%/*}/conf/app.ini || die
 }
 
 src_compile() {
-	TAGS="cert pam sqlite" LDFLAGS="" GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" emake -C src/${EGO_PN%/*} generate build || die
+	GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" emake -C src/${EGO_PN%/*} generate
+	TAGS="bindata cert pam sqlite" LDFLAGS="" GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" emake -C src/${EGO_PN%/*} build
 }
 
 src_install() {
 	pushd src/${EGO_PN%/*} || die
 	dobin gitea
-	insinto /usr/share/gitea
-	doins -r conf
+	insinto /etc/gitea
+	doins conf/app.ini
 	insinto /usr/share/themes/gitea/default
 	doins -r public templates
 	popd || die
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}"/gitea.logrotated gitea
+	newinitd "${FILESDIR}"/gitea.initd gitea
+	newconfd "${FILESDIR}"/gitea.confd gitea
 	keepdir /var/log/gitea /var/lib/gitea/data
 	fowners gitea:gitea /var/log/gitea /var/lib/gitea
 }


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: www-apps/gitea/files/, www-apps/gitea/
@ 2018-06-02 12:06 Manuel Rüger
  0 siblings, 0 replies; 7+ messages in thread
From: Manuel Rüger @ 2018-06-02 12:06 UTC (permalink / raw
  To: gentoo-commits

commit:     7062b1979c463885eb37690519eccd51825e3a6b
Author:     Stefan G. Weichinger <office <AT> oops <DOT> co <DOT> at>
AuthorDate: Sat Jun  2 12:05:50 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Jun  2 12:06:20 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7062b197

www-apps/gitea: Version bump to 1.4.1

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 www-apps/gitea/Manifest                            |  1 +
 www-apps/gitea/files/app.ini                       |  4 ++
 www-apps/gitea/files/gitea.initd                   |  4 +-
 .../gitea/files/{gitea.initd => gitea.initd-r1}    |  4 +-
 www-apps/gitea/files/gitea.service                 | 26 +++++++++
 www-apps/gitea/gitea-1.4.1.ebuild                  | 61 ++++++++++++++++++++++
 6 files changed, 96 insertions(+), 4 deletions(-)

diff --git a/www-apps/gitea/Manifest b/www-apps/gitea/Manifest
index 0d035e17496..a8618bdacce 100644
--- a/www-apps/gitea/Manifest
+++ b/www-apps/gitea/Manifest
@@ -1,3 +1,4 @@
 DIST gitea-1.2.3.tar.gz 14336812 BLAKE2B 9c0d1aed458cb2accaf6138f949a6f49b470ae32b75dd921b88cac93cfc61c361791270541fbeae9ecc300b8266abcc1d0b677514536d0697c5a2952b74af18e SHA512 b519bb2fae20da75444a9cb971ab1db0aed04261c6522464feb2e0bad28bc5b8fff3ce8a85f8d26e9cfe79b41c29e540b3ff0aa0c3e99ce90e9e9a1ec26a165e
 DIST gitea-1.3.0.tar.gz 14780025 BLAKE2B a290bf1583a741cfee5ff69c7997114d802643dc0b213a41bbac08713201ce05192d9ad4d7b33639ae173b79d3c5dbd154b7fd753a744ec64550df4786fdc5a2 SHA512 51cfcb53a039ce8c7995748bd54ea34b88b404de35ef6c9c5742b220fee814fe81670634aa272bbd0002431e70e757b0e460d159e41b7378c93cd5aa820d45f4
 DIST gitea-1.3.1.tar.gz 14783710 BLAKE2B 20e333719aa1a670488046406dc942fd843fcb2ea92473006e255a6a8f2f00709bf87443a425302d0c73916260a5d2e7876e00233a3e1ceb657439ac3d7a4873 SHA512 45161e089d5437b5aacc9589a50a61da3a8f4c88edb33fe3605eb49f36f67cb0a8a80f261016745a6c5131755f7963b1b61df62e47aab2bcd43a6932dceadd0f
+DIST gitea-1.4.1.tar.gz 14978598 BLAKE2B 8fde79291b745750e79c944e7fcf938d2476ddaa386c1277f54bf315831eeb749507e270ca0a8a8351dd8fa60656bb98eb7c478a5c99f2ac20d350b6054339d5 SHA512 3b812bd61215230035ec9241e953f239981d04580d931f379aa550e11d2f7facd56bf70ac9e2d866224d341570a238bcc5c2fa71fd1432cfb95b8c8b703784e6

diff --git a/www-apps/gitea/files/app.ini b/www-apps/gitea/files/app.ini
new file mode 100644
index 00000000000..5dd998f60ee
--- /dev/null
+++ b/www-apps/gitea/files/app.ini
@@ -0,0 +1,4 @@
+[log]
+MODE      = file
+LEVEL     = Info
+ROOT_PATH = /var/log/gitea

diff --git a/www-apps/gitea/files/gitea.initd b/www-apps/gitea/files/gitea.initd
index ea618140c58..837164aa014 100644
--- a/www-apps/gitea/files/gitea.initd
+++ b/www-apps/gitea/files/gitea.initd
@@ -1,5 +1,5 @@
 #!/sbin/openrc-run
-# Copyright 2016 Gentoo Foundation
+# Copyright 2016-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 description="Gitea, a self-hosted Git service"
@@ -11,7 +11,7 @@ command="/usr/bin/gitea web"
 command_args="${command_args:--config /var/lib/gitea/conf/app.ini}"
 command_background="true"
 start_stop_daemon_args="--user ${user} --group ${group} \
-	-e GITEA_CUSTOM=/var/lib/gitea
+	-e GITEA_WORK_DIR=/var/lib/gitea
 	--stdout /var/log/${SVCNAME}/${SVCNAME}.log \
 	--stderr /var/log/${SVCNAME}/${SVCNAME}.log"
 

diff --git a/www-apps/gitea/files/gitea.initd b/www-apps/gitea/files/gitea.initd-r1
similarity index 89%
copy from www-apps/gitea/files/gitea.initd
copy to www-apps/gitea/files/gitea.initd-r1
index ea618140c58..837164aa014 100644
--- a/www-apps/gitea/files/gitea.initd
+++ b/www-apps/gitea/files/gitea.initd-r1
@@ -1,5 +1,5 @@
 #!/sbin/openrc-run
-# Copyright 2016 Gentoo Foundation
+# Copyright 2016-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 description="Gitea, a self-hosted Git service"
@@ -11,7 +11,7 @@ command="/usr/bin/gitea web"
 command_args="${command_args:--config /var/lib/gitea/conf/app.ini}"
 command_background="true"
 start_stop_daemon_args="--user ${user} --group ${group} \
-	-e GITEA_CUSTOM=/var/lib/gitea
+	-e GITEA_WORK_DIR=/var/lib/gitea
 	--stdout /var/log/${SVCNAME}/${SVCNAME}.log \
 	--stderr /var/log/${SVCNAME}/${SVCNAME}.log"
 

diff --git a/www-apps/gitea/files/gitea.service b/www-apps/gitea/files/gitea.service
new file mode 100644
index 00000000000..3fdbc1fd0c3
--- /dev/null
+++ b/www-apps/gitea/files/gitea.service
@@ -0,0 +1,26 @@
+[Unit]
+Description=Gitea service
+Documentation=https://gitea.io
+
+AssertPathIsDirectory=/var/lib/gitea
+AssertPathIsReadWrite=/var/lib/gitea
+
+After=network.target
+Requires=network.target
+After=mysqld.service
+Requires=mysqld.service
+
+[Service]
+User=git
+Group=git
+
+Environment="GITEA_CUSTOM=/var/lib/gitea"
+WorkingDirectory=/var/lib/gitea
+ExecStart=/usr/bin/gitea web -c /var/lib/gitea/conf/app.ini
+
+Restart=always
+PrivateTmp=true
+Nice=5
+
+[Install]
+WantedBy=multi-user.target

diff --git a/www-apps/gitea/gitea-1.4.1.ebuild b/www-apps/gitea/gitea-1.4.1.ebuild
new file mode 100644
index 00000000000..41abc1c912b
--- /dev/null
+++ b/www-apps/gitea/gitea-1.4.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit user systemd golang-build golang-vcs-snapshot
+
+EGO_PN="code.gitea.io/gitea"
+KEYWORDS="~amd64 ~arm"
+
+DESCRIPTION="A painless self-hosted Git service, written in Go"
+HOMEPAGE="https://github.com/go-gitea/gitea"
+SRC_URI="https://github.com/go-gitea/gitea/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+
+DEPEND="dev-go/go-bindata"
+RDEPEND="dev-vcs/git"
+
+pkg_setup() {
+	enewgroup git
+	enewuser git -1 /bin/bash /var/lib/gitea git
+}
+
+src_prepare() {
+	default
+	sed -i -e "s/\"main.Version.*$/\"main.Version=${PV}\"/"\
+		-e "s/-ldflags '-s/-ldflags '/" src/${EGO_PN}/Makefile || die
+}
+
+src_compile() {
+	GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" emake -C src/${EGO_PN} generate
+	TAGS="bindata pam sqlite" LDFLAGS="" CGO_LDFLAGS="-fno-PIC" GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" emake -C src/${EGO_PN} build
+}
+
+src_install() {
+	pushd src/${EGO_PN} || die
+	dobin gitea
+	insinto /var/lib/gitea/conf
+	newins custom/conf/app.ini.sample app.ini.example
+	popd || die
+	newinitd "${FILESDIR}"/gitea.initd-r1 gitea
+	newconfd "${FILESDIR}"/gitea.confd gitea
+	keepdir /var/log/gitea /var/lib/gitea/data
+	fowners -R git:git /var/log/gitea /var/lib/gitea/
+	systemd_dounit "${FILESDIR}/gitea.service"
+}
+
+pkg_postinst() {
+	if [[ ! -e "${EROOT}/var/lib/gitea/conf/app.ini" ]]; then
+		elog "No app.ini found, copying initial config over"
+		cp "${FILESDIR}"/app.ini "${EROOT}"/var/lib/gitea/conf/ || die
+		chown git:git /var/lib/gitea/conf/app.ini
+	else
+		elog "app.ini found, please check example file for possible changes"
+		ewarn "Please note that environment variables have been changed:"
+		ewarn "GITEA_WORK_DIR is set to /var/lib/gitea (previous value: unset)"
+		ewarn "GITEA_CUSTOM is set to '\$GITEA_WORK_DIR/custom' (previous: /var/lib/gitea)"
+	fi
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: www-apps/gitea/files/, www-apps/gitea/
@ 2018-07-17 14:24 Manuel Rüger
  0 siblings, 0 replies; 7+ messages in thread
From: Manuel Rüger @ 2018-07-17 14:24 UTC (permalink / raw
  To: gentoo-commits

commit:     22046621022aa91cb93cbd5bf0b96accd5aa6c16
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 17 14:23:05 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Tue Jul 17 14:23:05 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22046621

www-apps/gitea: Remove old

Package-Manager: Portage-2.3.42, Repoman-2.3.9

 www-apps/gitea/Manifest           |  1 -
 www-apps/gitea/files/gitea.initd  | 25 --------------
 www-apps/gitea/gitea-1.3.1.ebuild | 71 ---------------------------------------
 3 files changed, 97 deletions(-)

diff --git a/www-apps/gitea/Manifest b/www-apps/gitea/Manifest
index e2ef3a37d8e..2359161d3fc 100644
--- a/www-apps/gitea/Manifest
+++ b/www-apps/gitea/Manifest
@@ -1,2 +1 @@
-DIST gitea-1.3.1.tar.gz 14783710 BLAKE2B 20e333719aa1a670488046406dc942fd843fcb2ea92473006e255a6a8f2f00709bf87443a425302d0c73916260a5d2e7876e00233a3e1ceb657439ac3d7a4873 SHA512 45161e089d5437b5aacc9589a50a61da3a8f4c88edb33fe3605eb49f36f67cb0a8a80f261016745a6c5131755f7963b1b61df62e47aab2bcd43a6932dceadd0f
 DIST gitea-1.4.1.tar.gz 14978598 BLAKE2B 8fde79291b745750e79c944e7fcf938d2476ddaa386c1277f54bf315831eeb749507e270ca0a8a8351dd8fa60656bb98eb7c478a5c99f2ac20d350b6054339d5 SHA512 3b812bd61215230035ec9241e953f239981d04580d931f379aa550e11d2f7facd56bf70ac9e2d866224d341570a238bcc5c2fa71fd1432cfb95b8c8b703784e6

diff --git a/www-apps/gitea/files/gitea.initd b/www-apps/gitea/files/gitea.initd
deleted file mode 100644
index 837164aa014..00000000000
--- a/www-apps/gitea/files/gitea.initd
+++ /dev/null
@@ -1,25 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 2016-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-description="Gitea, a self-hosted Git service"
-pidfile=${pidfile:-"/run/${SVCNAME}/${SVCNAME}.pid"}
-user=${user:-git}
-group=${group:-git}
-
-command="/usr/bin/gitea web"
-command_args="${command_args:--config /var/lib/gitea/conf/app.ini}"
-command_background="true"
-start_stop_daemon_args="--user ${user} --group ${group} \
-	-e GITEA_WORK_DIR=/var/lib/gitea
-	--stdout /var/log/${SVCNAME}/${SVCNAME}.log \
-	--stderr /var/log/${SVCNAME}/${SVCNAME}.log"
-
-depend() {
-	need net
-	after net
-}
-
-start_pre() {
-	checkpath -d -m 0755 -o "${user}":"${group}" "${pidfile%/*}"
-}

diff --git a/www-apps/gitea/gitea-1.3.1.ebuild b/www-apps/gitea/gitea-1.3.1.ebuild
deleted file mode 100644
index 5f27f86c5d6..00000000000
--- a/www-apps/gitea/gitea-1.3.1.ebuild
+++ /dev/null
@@ -1,71 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit user golang-build golang-vcs-snapshot
-
-EGO_PN="code.gitea.io/gitea"
-GIT_COMMIT="81fd8c8"
-ARCHIVE_URI="https://github.com/go-gitea/gitea/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-KEYWORDS="~amd64 ~arm"
-
-DESCRIPTION="A painless self-hosted Git service, written in Go"
-HOMEPAGE="https://github.com/go-gitea/gitea"
-SRC_URI="${ARCHIVE_URI}"
-
-LICENSE="MIT"
-SLOT="0"
-IUSE=""
-
-DEPEND="dev-go/go-bindata"
-RDEPEND="dev-vcs/git"
-
-pkg_setup() {
-	enewgroup git
-	enewuser git -1 /bin/bash /var/lib/gitea git
-}
-
-src_prepare() {
-	default
-	local GITEA_PREFIX=${EPREFIX}/var/lib/gitea
-	sed -i -e "s/git rev-parse --short HEAD/echo ${GIT_COMMIT}/"\
-		-e "s/\"main.Version.*$/\"main.Version=${PV}\"/"\
-		-e "s/-ldflags '-s/-ldflags '/" src/${EGO_PN}/Makefile || die
-	sed -i -e "s#^APP_DATA_PATH = data#APP_DATA_PATH = ${GITEA_PREFIX}/data#"\
-		-e "s#^PATH = data/gitea.db#PATH = ${GITEA_PREFIX}/data/gitea.db#"\
-		-e "s#^PROVIDER_CONFIG = data/sessions#PROVIDER_CONFIG = ${GITEA_PREFIX}/data/sessions#"\
-		-e "s#^AVATAR_UPLOAD_PATH = data/avatars#AVATAR_UPLOAD_PATH = ${GITEA_PREFIX}/data/avatars#"\
-		-e "s#^TEMP_PATH = data/tmp/uploads#TEMP_PATH = ${GITEA_PREFIX}/data/tmp/uploads#"\
-		-e "s#^PATH = data/attachments#PATH = ${GITEA_PREFIX}/data/attachments#"\
-		-e "s#^ROOT_PATH =#ROOT_PATH = ${EPREFIX}/var/log/gitea#"\
-		-e "s#^ISSUE_INDEXER_PATH =#ISSUE_INDEXER_PATH = ${GITEA_PREFIX}/indexers/issues.bleve#"\
-		src/${EGO_PN}/conf/app.ini || die
-}
-
-src_compile() {
-	GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" emake -C src/${EGO_PN} generate
-	TAGS="bindata pam sqlite" LDFLAGS="" CGO_LDFLAGS="-fno-PIC" GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" emake -C src/${EGO_PN} build
-}
-
-src_install() {
-	pushd src/${EGO_PN} || die
-	dobin gitea
-	insinto /var/lib/gitea/conf
-	newins conf/app.ini app.ini.example
-	popd || die
-	insinto /etc/logrotate.d
-	newins "${FILESDIR}"/gitea.logrotated gitea
-	newinitd "${FILESDIR}"/gitea.initd gitea
-	newconfd "${FILESDIR}"/gitea.confd gitea
-	keepdir /var/log/gitea /var/lib/gitea/data
-	fowners -R git:git /var/log/gitea /var/lib/gitea/
-}
-
-pkg_postinst() {
-	if [[ ! -e ${EROOT}/var/lib/gitea/conf/app.ini ]]; then
-		elog "No app.ini found, copying the example over"
-		cp "${EROOT}"/var/lib/gitea/conf/app.ini{.example,} || die
-	else
-		elog "app.ini found, please check example file for possible changes"
-	fi
-}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: www-apps/gitea/files/, www-apps/gitea/
@ 2019-11-07  5:42 Joonas Niilola
  0 siblings, 0 replies; 7+ messages in thread
From: Joonas Niilola @ 2019-11-07  5:42 UTC (permalink / raw
  To: gentoo-commits

commit:     d8493568fb9901721521937fccbcd159daf7c4ef
Author:     Felix Neumärker <xdch47 <AT> posteo <DOT> de>
AuthorDate: Fri Aug  2 10:29:53 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Nov  7 05:42:30 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8493568

www-apps/gitea: remove old

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Felix Neumärker <xdch47 <AT> posteo.de>
Closes: https://github.com/gentoo/gentoo/pull/12597
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 www-apps/gitea/Manifest               |   2 -
 www-apps/gitea/files/gitea.initd-r2   |  22 -------
 www-apps/gitea/files/gitea.service-r1 |  28 ---------
 www-apps/gitea/gitea-1.8.0.ebuild     |  85 ---------------------------
 www-apps/gitea/gitea-1.8.2.ebuild     | 104 ----------------------------------
 5 files changed, 241 deletions(-)

diff --git a/www-apps/gitea/Manifest b/www-apps/gitea/Manifest
index 9ee165318d1..43e40f86f35 100644
--- a/www-apps/gitea/Manifest
+++ b/www-apps/gitea/Manifest
@@ -1,4 +1,2 @@
-DIST gitea-1.8.0.tar.gz 24268907 BLAKE2B b46a17733fc7bd0f228620bdfadf0d596ea56fca6e685afab7734e794c1f87c5e004529ca3d69e907d516bcb83563565b1d8c32501f1c2c0f9295ca028d96ad0 SHA512 eebbe2f77ed2e4c3562f48a6fa647e6f2a0492c5b6ea4f13542a5ef82e94a357a8d53897aa013107b5f735d2aff9d719893b5724de44831c43998c2e9c6e78d7
-DIST gitea-1.8.2.tar.gz 24321492 BLAKE2B 48a718edd1d607e4f8ee2a301bdd907f2a233be515fa327eac9cfb50cdbc024e5f90e6e86e95056c256cb35497c5a3b2ab5fa4a068a22b28c1a3d2b94780da7a SHA512 23ef63c1cea276800a19fe04b87b4baa421e1202260b4ec55614a77ee54c0bc9e5db6dad7f98791c4d902b2d4cb15f4facc4d201631cf2ef7cefd0ff996753be
 DIST gitea-1.8.3.tar.gz 24320679 BLAKE2B 9ef901ef7e1cb6ffa9a2aa082798b7a18ac2a6fdb4379082df3f942d767a27fd3915c7a4d2cb1af6f502a8cde3c1c98557c42d4c0ef60be7bdad78d8931035e0 SHA512 f6019fbfc056e4c7176222ccaca1cf638bd1f52323de54fcddc618129aeb778674f6e305de60e7d17b69505ad65439445ee6b5e368afdf0a6fbace7407acb495
 DIST gitea-1.9.5.tar.gz 25355286 BLAKE2B 8b733651de64fcafa7b41a6fc812fcad8ac7311a7e7acc679ec7dab759175ec13a096902aece209a3fef31eefd3a99493e13f7c9792e1e41b5a1c3376680d3ca SHA512 f7a04d3bb37a33da15290355f3f02ff4c1b737e8458cf65f731c870ac9e452243b1fdacc5f74accf963fb00cdd200dd31191058eb1d6dda8b1033846a961c7d3

diff --git a/www-apps/gitea/files/gitea.initd-r2 b/www-apps/gitea/files/gitea.initd-r2
deleted file mode 100644
index 24cac0b41f2..00000000000
--- a/www-apps/gitea/files/gitea.initd-r2
+++ /dev/null
@@ -1,22 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 2016-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-description="Gitea, a self-hosted Git service"
-
-: ${GITEA_CONF:=/etc/gitea/app.ini}
-: ${GITEA_USER:=git}
-: ${GITEA_GROUP:=git}
-: ${GITEA_WORK_DIR:=/var/lib/gitea}
-: ${GITEA_CUSTOM:=${GITEA_WORK_DIR}/custom}
-
-command="/usr/bin/gitea web"
-command_args="--config ${GITEA_CONF}"
-command_background="true"
-command_user="${GITEA_USER}:${GITEA_GROUP}"
-error_log="/var/log/${RC_SVCNAME}/${RC_SVCNAME}.err"
-output_log="/var/log/${RC_SVCNAME}/${RC_SVCNAME}.log"
-pidfile="/run/${RC_SVCNAME}.pid"
-required_files="${GITEA_CONF}"
-start_stop_daemon_args="-e GITEA_WORK_DIR=${GITEA_WORK_DIR} \
-	-e GITEA_CUSTOM=${GITEA_CUSTOM}"

diff --git a/www-apps/gitea/files/gitea.service-r1 b/www-apps/gitea/files/gitea.service-r1
deleted file mode 100644
index 73f924337fd..00000000000
--- a/www-apps/gitea/files/gitea.service-r1
+++ /dev/null
@@ -1,28 +0,0 @@
-[Unit]
-Description=Gitea service
-Documentation=https://docs.gitea.io/
-
-AssertPathIsDirectory=/var/lib/gitea
-AssertPathIsReadWrite=/var/lib/gitea
-
-After=network.target
-Requires=network.target
-After=mysqld.service
-After=postgresql.service
-After=memcached.service
-After=redis.service
-
-[Service]
-User=git
-Group=git
-
-Environment="GITEA_WORK_DIR=/var/lib/gitea GITEA_CUSTOM=/var/lib/gitea/custom"
-WorkingDirectory=/var/lib/gitea
-ExecStart=/usr/bin/gitea web --config /etc/gitea/app.ini
-
-Restart=always
-PrivateTmp=true
-Nice=5
-
-[Install]
-WantedBy=multi-user.target

diff --git a/www-apps/gitea/gitea-1.8.0.ebuild b/www-apps/gitea/gitea-1.8.0.ebuild
deleted file mode 100644
index 7905bbf3153..00000000000
--- a/www-apps/gitea/gitea-1.8.0.ebuild
+++ /dev/null
@@ -1,85 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-inherit golang-vcs-snapshot systemd user
-
-EGO_PN="code.gitea.io/gitea"
-KEYWORDS="~amd64 ~arm ~arm64"
-
-DESCRIPTION="A painless self-hosted Git service"
-HOMEPAGE="https://gitea.io"
-SRC_URI="https://github.com/go-gitea/gitea/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-IUSE="pam sqlite"
-
-COMMON_DEPEND="pam? ( sys-libs/pam )"
-DEPEND="${COMMON_DEPEND}
-	dev-go/go-bindata"
-RDEPEND="${COMMON_DEPEND}
-	dev-vcs/git"
-
-DOCS=( custom/conf/app.ini.sample CONTRIBUTING.md README.md )
-S="${WORKDIR}/${P}/src/${EGO_PN}"
-
-pkg_setup() {
-	enewgroup git
-	enewuser git -1 /bin/bash /var/lib/gitea git
-}
-
-gitea_make() {
-	local my_tags=(
-		bindata
-		$(usev pam)
-		$(usex sqlite 'sqlite sqlite_unlock_notify' '')
-	)
-	local my_makeopt=(
-		DRONE_TAG=${PV}
-		TAGS="${my_tags[@]}"
-	)
-	GOPATH=${WORKDIR}/${P}:$(get_golibdir_gopath) emake "${my_makeopt[@]}" "$1"
-}
-
-src_compile() {
-	gitea_make generate
-	gitea_make build
-}
-
-src_test() {
-	gitea_make test
-}
-
-src_install() {
-	einstalldocs
-	dobin gitea
-	newconfd "${FILESDIR}"/gitea.confd-r1 gitea
-	newinitd "${FILESDIR}"/gitea.initd-r2 gitea
-	systemd_newunit "${FILESDIR}"/gitea.service-r1 gitea.service
-	diropts -m0750 -o git -g git
-	keepdir /etc/gitea
-	keepdir /var/lib/gitea /var/lib/gitea/custom /var/lib/gitea/data
-	keepdir /var/log/gitea
-}
-
-pkg_postinst() {
-	ewarn "The configuration path has been changed to ${EROOT}/etc/gitea/app.ini."
-	ewarn "Please adapt the gitea-repositories hooks and ssh authorized_keys."
-	ewarn "Depending on your configuration you should run something like:"
-	ewarn "sed -i -e 's#/var/lib/gitea/conf/app.ini#/etc/gitea/app.ini#' \\"
-	ewarn "  /var/lib/gitea/gitea-repositories/*/*/hooks/*/* \\"
-	ewarn "  /var/lib/gitea/.ssh/authorized_keys"
-
-	if [[ ! -e "${EROOT}/etc/gitea/app.ini" ]]; then
-		elog "No app.ini found, copying initial config over"
-		cp "${FILESDIR}"/app.ini "${EROOT}"/etc/gitea/ || die
-		chown git:git "${EROOT}"/etc/gitea/app.ini || die
-		elog "Please make sure that your 'git' user has the correct homedir (/var/lib/gitea)."
-	else
-		elog "app.ini found, please check the sample file for possible changes"
-		ewarn "Please note that environment variables have been changed:"
-		ewarn "GITEA_WORK_DIR is set to /var/lib/gitea (previous value: unset)"
-		ewarn "GITEA_CUSTOM is set to '\$GITEA_WORK_DIR/custom' (previous: /var/lib/gitea)"
-	fi
-}

diff --git a/www-apps/gitea/gitea-1.8.2.ebuild b/www-apps/gitea/gitea-1.8.2.ebuild
deleted file mode 100644
index bdefa9b6352..00000000000
--- a/www-apps/gitea/gitea-1.8.2.ebuild
+++ /dev/null
@@ -1,104 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-inherit golang-vcs-snapshot systemd user
-
-EGO_PN="code.gitea.io/gitea"
-
-DESCRIPTION="A painless self-hosted Git service"
-HOMEPAGE="https://gitea.io"
-SRC_URI="https://github.com/go-gitea/gitea/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64"
-IUSE="pam sqlite"
-
-COMMON_DEPEND="pam? ( sys-libs/pam )"
-DEPEND="${COMMON_DEPEND}
-	dev-go/go-bindata"
-RDEPEND="${COMMON_DEPEND}
-	dev-vcs/git"
-
-DOCS=( custom/conf/app.ini.sample CONTRIBUTING.md README.md )
-S="${WORKDIR}/${P}/src/${EGO_PN}"
-
-pkg_setup() {
-	enewgroup git
-	enewuser git -1 /bin/bash /var/lib/gitea git
-}
-
-gitea_make() {
-	local my_tags=(
-		bindata
-		$(usev pam)
-		$(usex sqlite 'sqlite sqlite_unlock_notify' '')
-	)
-	local my_makeopt=(
-		DRONE_TAG=${PV}
-		TAGS="${my_tags[@]}"
-	)
-	GOPATH=${WORKDIR}/${P}:$(get_golibdir_gopath) emake "${my_makeopt[@]}" "$@"
-}
-
-src_prepare() {
-	default
-	sed -i \
-		-e "s#^RUN_MODE = dev#RUN_MODE = prod#"                                     \
-		-e "s#^ROOT =#ROOT = ${EPREFIX}/var/lib/gitea/gitea-repositories#"          \
-		-e "s#^ROOT_PATH =#ROOT_PATH = ${EPREFIX}/var/log/gitea#"                   \
-		-e "s#^APP_DATA_PATH = data#APP_DATA_PATH = ${EPREFIX}/var/lib/gitea/data#" \
-		-e "s#^HTTP_ADDR = 0.0.0.0#HTTP_ADDR = 127.0.0.1#"                          \
-		-e "s#^MODE = console#MODE = file#"                                         \
-		-e "s#^LEVEL = Trace#LEVEL = Info#"                                         \
-		-e "s#^LOG_SQL = true#LOG_SQL = false#"                                     \
-		-e "s#^DISABLE_ROUTER_LOG = false#DISABLE_ROUTER_LOG = true#"               \
-		-e "s#^APP_ID =#;APP_ID =#"                                                 \
-		-e "s#^TRUSTED_FACETS =#;TRUSTED_FACETS =#"                                 \
-		custom/conf/app.ini.sample || die
-	if use sqlite ; then
-		sed -i -e "s#^DB_TYPE = .*#DB_TYPE = sqlite3#" custom/conf/app.ini.sample || die
-	fi
-
-	gitea_make generate
-}
-
-src_compile() {
-	gitea_make build
-}
-
-src_test() {
-	gitea_make test
-}
-
-src_install() {
-	dobin gitea
-
-	einstalldocs
-
-	newconfd "${FILESDIR}"/gitea.confd-r1 gitea
-	newinitd "${FILESDIR}"/gitea.initd-r3 gitea
-	systemd_newunit "${FILESDIR}"/gitea.service-r2 gitea.service
-
-	insinto /etc/gitea
-	newins custom/conf/app.ini.sample app.ini
-	fowners root:git /etc/gitea/{,app.ini}
-	fperms g+w,o-rwx /etc/gitea/{,app.ini}
-
-	diropts -m0750 -o git -g git
-	keepdir /var/lib/gitea /var/lib/gitea/custom /var/lib/gitea/data
-	keepdir /var/log/gitea
-}
-
-pkg_postinst() {
-	if [[ -e "${EROOT}/var/lib/gitea/conf/app.ini" ]]; then
-		ewarn "The configuration path has been changed to ${EROOT}/etc/gitea/app.ini."
-		ewarn "Please move your configuration from ${EROOT}/var/lib/gitea/conf/app.ini"
-		ewarn "and adapt the gitea-repositories hooks and ssh authorized_keys."
-		ewarn "Depending on your configuration you should run something like:"
-		ewarn "sed -i -e 's#${EROOT}/var/lib/gitea/conf/app.ini#${EROOT}/etc/gitea/app.ini#' \\"
-		ewarn "  /var/lib/gitea/gitea-repositories/*/*/hooks/*/* \\"
-		ewarn "  /var/lib/gitea/.ssh/authorized_keys"
-	fi
-}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: www-apps/gitea/files/, www-apps/gitea/
@ 2019-11-24 14:03 Joonas Niilola
  0 siblings, 0 replies; 7+ messages in thread
From: Joonas Niilola @ 2019-11-24 14:03 UTC (permalink / raw
  To: gentoo-commits

commit:     fcfc8fc44b5a9692731f0c8c9d7b2ef32f7e7953
Author:     Felix Neumärker <xdch47 <AT> posteo <DOT> de>
AuthorDate: Thu Nov 21 17:47:46 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Nov 24 14:03:12 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fcfc8fc4

www-apps/gitea: bump to 1.10 + add live ebuild

Package-Manager: Portage-2.3.76, Repoman-2.3.18
Signed-off-by: Felix Neumärker <xdch47 <AT> posteo.de>
Closes: https://github.com/gentoo/gentoo/pull/13696
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 www-apps/gitea/Manifest                   |   1 +
 www-apps/gitea/files/gitea-logflags.patch | 128 +++++++++++++++++++++++++++++-
 www-apps/gitea/gitea-1.10.0.ebuild        | 127 +++++++++++++++++++++++++++++
 www-apps/gitea/gitea-9999.ebuild          | 125 +++++++++++++++++++++++++++++
 4 files changed, 380 insertions(+), 1 deletion(-)

diff --git a/www-apps/gitea/Manifest b/www-apps/gitea/Manifest
index 43e40f86f35..cbef985343f 100644
--- a/www-apps/gitea/Manifest
+++ b/www-apps/gitea/Manifest
@@ -1,2 +1,3 @@
+DIST gitea-1.10.0.tar.gz 28905929 BLAKE2B ddf45483784ebf2d300d7f957e355f20c56e0e31825b3a290935ef9d8b7a2b0b154769b44eb270c9bb3165b8297cc1d8b51e9e660828eb95ab019b4857f8c37a SHA512 3bd99ee7289b6a0035d0a6da868562692fa9941a4f14d7555044c06efc7165615dc95547713e352d5cfcd7817596a9f4b24c5fa28c90066f4586ccb44a637d08
 DIST gitea-1.8.3.tar.gz 24320679 BLAKE2B 9ef901ef7e1cb6ffa9a2aa082798b7a18ac2a6fdb4379082df3f942d767a27fd3915c7a4d2cb1af6f502a8cde3c1c98557c42d4c0ef60be7bdad78d8931035e0 SHA512 f6019fbfc056e4c7176222ccaca1cf638bd1f52323de54fcddc618129aeb778674f6e305de60e7d17b69505ad65439445ee6b5e368afdf0a6fbace7407acb495
 DIST gitea-1.9.5.tar.gz 25355286 BLAKE2B 8b733651de64fcafa7b41a6fc812fcad8ac7311a7e7acc679ec7dab759175ec13a096902aece209a3fef31eefd3a99493e13f7c9792e1e41b5a1c3376680d3ca SHA512 f7a04d3bb37a33da15290355f3f02ff4c1b737e8458cf65f731c870ac9e452243b1fdacc5f74accf963fb00cdd200dd31191058eb1d6dda8b1033846a961c7d3

diff --git a/www-apps/gitea/files/gitea-logflags.patch b/www-apps/gitea/files/gitea-logflags.patch
index 331bd3d046b..bbe6e5501c8 100644
--- a/www-apps/gitea/files/gitea-logflags.patch
+++ b/www-apps/gitea/files/gitea-logflags.patch
@@ -1,5 +1,8 @@
+
+#Patch to make gitea logging less verbose.
+
 diff --git a/modules/log/flags.go b/modules/log/flags.go
-index 992fc62..5578a1b 100644
+index 992fc62dd..5578a1b6b 100644
 --- a/modules/log/flags.go
 +++ b/modules/log/flags.go
 @@ -31,7 +31,7 @@ const (
@@ -11,3 +14,126 @@ index 992fc62..5578a1b 100644
  )
  
  var flagFromString = map[string]int{
+
+
+#Just patching the tests to keep working with the patch above (avoid using LstdFlags)
+
+diff --git a/modules/log/conn_test.go b/modules/log/conn_test.go
+index cc3d758fa..295bee37f 100644
+--- a/modules/log/conn_test.go
++++ b/modules/log/conn_test.go
+@@ -40,7 +40,7 @@ func TestConnLogger(t *testing.T) {
+ 
+ 	prefix := "TestPrefix "
+ 	level := INFO
+-	flags := LstdFlags | LUTC | Lfuncname
++    flags :=  Ldate | Ltime | Lmedfile | Lshortfuncname | Llevelinitial | LUTC | Lfuncname
+ 
+ 	logger := NewConn()
+ 	connLogger := logger.(*ConnLogger)
+@@ -112,7 +112,7 @@ func TestConnLoggerCloseBeforeSend(t *testing.T) {
+ 
+ 	prefix := "TestPrefix "
+ 	level := INFO
+-	flags := LstdFlags | LUTC | Lfuncname
++    flags :=  Ldate | Ltime | Lmedfile | Lshortfuncname | Llevelinitial | LUTC | Lfuncname
+ 
+ 	logger := NewConn()
+ 
+@@ -126,7 +126,7 @@ func TestConnLoggerFailConnect(t *testing.T) {
+ 
+ 	prefix := "TestPrefix "
+ 	level := INFO
+-	flags := LstdFlags | LUTC | Lfuncname
++    flags :=  Ldate | Ltime | Lmedfile | Lshortfuncname | Llevelinitial | LUTC | Lfuncname
+ 
+ 	logger := NewConn()
+ 
+@@ -169,7 +169,7 @@ func TestConnLoggerClose(t *testing.T) {
+ 
+ 	prefix := "TestPrefix "
+ 	level := INFO
+-	flags := LstdFlags | LUTC | Lfuncname
++    flags :=  Ldate | Ltime | Lmedfile | Lshortfuncname | Llevelinitial | LUTC | Lfuncname
+ 
+ 	logger := NewConn()
+ 	connLogger := logger.(*ConnLogger)
+diff --git a/modules/log/console_test.go b/modules/log/console_test.go
+index a028b5b87..e4fec760a 100644
+--- a/modules/log/console_test.go
++++ b/modules/log/console_test.go
+@@ -33,7 +33,7 @@ func TestConsoleLoggerMinimalConfig(t *testing.T) {
+ 			},
+ 		}
+ 		prefix := ""
+-		flags := LstdFlags
++        flags := LstdFlags
+ 
+ 		cw := NewConsoleLogger()
+ 		realCW := cw.(*ConsoleLogger)
+@@ -64,7 +64,7 @@ func TestConsoleLogger(t *testing.T) {
+ 	}
+ 	prefix := "TestPrefix "
+ 	level := INFO
+-	flags := LstdFlags | LUTC | Lfuncname
++    flags :=  Ldate | Ltime | Lmedfile | Lshortfuncname | Llevelinitial | LUTC | Lfuncname
+ 
+ 	cw := NewConsoleLogger()
+ 	realCW := cw.(*ConsoleLogger)
+diff --git a/modules/log/file_test.go b/modules/log/file_test.go
+index 38279315a..dc8d291ed 100644
+--- a/modules/log/file_test.go
++++ b/modules/log/file_test.go
+@@ -24,7 +24,7 @@ func TestFileLoggerFails(t *testing.T) {
+ 
+ 	prefix := "TestPrefix "
+ 	level := INFO
+-	flags := LstdFlags | LUTC | Lfuncname
++    flags :=  Ldate | Ltime | Lmedfile | Lshortfuncname | Llevelinitial | LUTC | Lfuncname
+ 	//filename := filepath.Join(tmpDir, "test.log")
+ 
+ 	fileLogger := NewFileLogger()
+@@ -52,7 +52,7 @@ func TestFileLogger(t *testing.T) {
+ 
+ 	prefix := "TestPrefix "
+ 	level := INFO
+-	flags := LstdFlags | LUTC | Lfuncname
++    flags :=  Ldate | Ltime | Lmedfile | Lshortfuncname | Llevelinitial | LUTC | Lfuncname
+ 	filename := filepath.Join(tmpDir, "test.log")
+ 
+ 	fileLogger := NewFileLogger()
+@@ -155,7 +155,7 @@ func TestCompressFileLogger(t *testing.T) {
+ 
+ 	prefix := "TestPrefix "
+ 	level := INFO
+-	flags := LstdFlags | LUTC | Lfuncname
++    flags :=  Ldate | Ltime | Lmedfile | Lshortfuncname | Llevelinitial | LUTC | Lfuncname
+ 	filename := filepath.Join(tmpDir, "test.log")
+ 
+ 	fileLogger := NewFileLogger()
+diff --git a/modules/log/smtp_test.go b/modules/log/smtp_test.go
+index 216d55521..15075dd41 100644
+--- a/modules/log/smtp_test.go
++++ b/modules/log/smtp_test.go
+@@ -17,7 +17,7 @@ import (
+ func TestSMTPLogger(t *testing.T) {
+ 	prefix := "TestPrefix "
+ 	level := INFO
+-	flags := LstdFlags | LUTC | Lfuncname
++    flags :=  Ldate | Ltime | Lmedfile | Lshortfuncname | Llevelinitial | LUTC | Lfuncname
+ 	username := "testuser"
+ 	password := "testpassword"
+ 	host := "testhost"
+diff --git a/modules/log/writer_test.go b/modules/log/writer_test.go
+index 886dd58fb..df2f6e698 100644
+--- a/modules/log/writer_test.go
++++ b/modules/log/writer_test.go
+@@ -41,7 +41,7 @@ func TestBaseLogger(t *testing.T) {
+ 	b := WriterLogger{
+ 		out:    c,
+ 		Level:  INFO,
+-		Flags:  LstdFlags | LUTC,
++		Flags:  Ldate | Ltime | Lmedfile | Lshortfuncname | Llevelinitial | LUTC,
+ 		Prefix: prefix,
+ 	}
+ 	location, _ := time.LoadLocation("EST")

diff --git a/www-apps/gitea/gitea-1.10.0.ebuild b/www-apps/gitea/gitea-1.10.0.ebuild
new file mode 100644
index 00000000000..ef0e2c0351e
--- /dev/null
+++ b/www-apps/gitea/gitea-1.10.0.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} != 9999* ]] ; then
+	SCM="golang-vcs-snapshot"
+else
+	SCM="git-r3"
+fi
+
+inherit golang-base tmpfiles systemd ${SCM}
+unset SCM
+
+EGO_PN="code.gitea.io/gitea"
+
+DESCRIPTION="A painless self-hosted Git service"
+HOMEPAGE="https://gitea.io"
+
+if [[ ${PV} != 9999* ]] ; then
+	SRC_URI="https://github.com/go-gitea/gitea/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64"
+else
+	EGIT_REPO_URI="https://github.com/go-gitea/gitea"
+	EGIT_CHECKOUT_DIR="${WORKDIR}/${P}/src/${EGO_PN}"
+	has test ${FEATURES} && EGIT_MIN_CLONE_TYPE="mirror"
+fi
+
+LICENSE="Apache-2.0 BSD BSD-2 ISC MIT MPL-2.0"
+SLOT="0"
+IUSE="+acct pam sqlite"
+
+BDEPEND="dev-lang/go"
+DEPEND="pam? ( sys-libs/pam )"
+RDEPEND="${DEPEND}
+	acct? (
+		acct-group/git
+		acct-user/git[gitea]
+	)
+	dev-vcs/git"
+
+DOCS=( custom/conf/app.ini.sample CONTRIBUTING.md README.md )
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+PATCHES=( "${FILESDIR}/gitea-logflags.patch" )
+
+gitea_make() {
+	local my_tags=(
+		bindata
+		$(usev pam)
+		$(usex sqlite 'sqlite sqlite_unlock_notify' '')
+	)
+	local my_makeopt=(
+		TAGS="${my_tags[@]}"
+		LDFLAGS="-extldflags \"${LDFLAGS}\""
+	)
+	[[ ${PV} != 9999* ]] && my_makeopt+=("DRONE_TAG=${PV}")
+	GOPATH=${WORKDIR}/${P}:$(get_golibdir_gopath) emake "${my_makeopt[@]}" "$@"
+}
+
+src_prepare() {
+	default
+
+	local sedcmds=(
+		-e "s#^RUN_MODE = dev#RUN_MODE = prod#"
+		-e "s#^ROOT =#ROOT = ${EPREFIX}/var/lib/gitea/gitea-repositories#"
+		-e "s#^ROOT_PATH =#ROOT_PATH = ${EPREFIX}/var/log/gitea#"
+		-e "s#^APP_DATA_PATH = data#APP_DATA_PATH = ${EPREFIX}/var/lib/gitea/data#"
+		-e "s#^HTTP_ADDR = 0.0.0.0#HTTP_ADDR = 127.0.0.1#"
+		-e "s#^MODE = console#MODE = file#"
+		-e "s#^LEVEL = Trace#LEVEL = Info#"
+		-e "s#^LOG_SQL = true#LOG_SQL = false#"
+		-e "s#^DISABLE_ROUTER_LOG = false#DISABLE_ROUTER_LOG = true#"
+		-e "s#^APP_ID =#;APP_ID =#"
+		-e "s#^TRUSTED_FACETS =#;TRUSTED_FACETS =#"
+	)
+
+	sed -i "${sedcmds[@]}" custom/conf/app.ini.sample || die
+	if use sqlite ; then
+		sed -i -e "s#^DB_TYPE = .*#DB_TYPE = sqlite3#" custom/conf/app.ini.sample || die
+	fi
+
+	gitea_make generate
+}
+
+src_compile() {
+	gitea_make build
+}
+
+src_test() {
+	if has network-sandbox ${FEATURES}; then
+		einfo "Remove tests which are known to fail with network-sandbox enabled."
+		rm -rf ./modules/migrations/github_test.go
+	fi
+
+	if [[ ${PV} != 9999* ]] ; then
+		einfo "Remove tests which depend on gitea git-repo."
+		rm -rf ./modules/git/blob_test.go
+		rm -rf ./modules/git/repo_test.go
+	fi
+
+	default
+}
+
+src_install() {
+	dobin gitea
+
+	einstalldocs
+
+	newconfd "${FILESDIR}/gitea.confd-r1" gitea
+	newinitd "${FILESDIR}/gitea.initd-r3" gitea
+	newtmpfiles - gitea.conf <<-EOF
+		d /run/gitea 0755 git git
+	EOF
+	systemd_newunit "${FILESDIR}"/gitea.service-r2 gitea.service
+
+	insinto /etc/gitea
+	newins custom/conf/app.ini.sample app.ini
+	if use acct ; then
+		fowners root:git /etc/gitea/{,app.ini}
+		fperms g+w,o-rwx /etc/gitea/{,app.ini}
+
+		diropts -m0750 -o git -g git
+		keepdir /var/lib/gitea /var/lib/gitea/custom /var/lib/gitea/data
+		keepdir /var/log/gitea
+	fi
+}

diff --git a/www-apps/gitea/gitea-9999.ebuild b/www-apps/gitea/gitea-9999.ebuild
new file mode 100644
index 00000000000..1fd7feaaff4
--- /dev/null
+++ b/www-apps/gitea/gitea-9999.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} != 9999* ]] ; then
+	SCM="golang-vcs-snapshot"
+else
+	SCM="git-r3"
+fi
+
+inherit golang-base tmpfiles systemd ${SCM}
+unset SCM
+
+EGO_PN="code.gitea.io/gitea"
+
+DESCRIPTION="A painless self-hosted Git service"
+HOMEPAGE="https://gitea.io"
+
+if [[ ${PV} != 9999* ]] ; then
+	SRC_URI="https://github.com/go-gitea/gitea/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64"
+else
+	EGIT_REPO_URI="https://github.com/go-gitea/gitea"
+	EGIT_CHECKOUT_DIR="${WORKDIR}/${P}/src/${EGO_PN}"
+	has test ${FEATURES} && EGIT_MIN_CLONE_TYPE="mirror"
+fi
+
+LICENSE="Apache-2.0 BSD BSD-2 ISC MIT MPL-2.0"
+SLOT="0"
+IUSE="+acct pam sqlite"
+
+BDEPEND="dev-lang/go"
+DEPEND="pam? ( sys-libs/pam )"
+RDEPEND="${DEPEND}
+	acct? (
+		acct-group/git
+		acct-user/git[gitea]
+	)
+	dev-vcs/git"
+
+DOCS=( custom/conf/app.ini.sample CONTRIBUTING.md README.md )
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+gitea_make() {
+	local my_tags=(
+		bindata
+		$(usev pam)
+		$(usex sqlite 'sqlite sqlite_unlock_notify' '')
+	)
+	local my_makeopt=(
+		TAGS="${my_tags[@]}"
+		LDFLAGS="-extldflags \"${LDFLAGS}\""
+	)
+	[[ ${PV} != 9999* ]] && my_makeopt+=("DRONE_TAG=${PV}")
+	GOPATH=${WORKDIR}/${P}:$(get_golibdir_gopath) emake "${my_makeopt[@]}" "$@"
+}
+
+src_prepare() {
+	default
+
+	local sedcmds=(
+		-e "s#^RUN_MODE = dev#RUN_MODE = prod#"
+		-e "s#^ROOT =#ROOT = ${EPREFIX}/var/lib/gitea/gitea-repositories#"
+		-e "s#^ROOT_PATH =#ROOT_PATH = ${EPREFIX}/var/log/gitea#"
+		-e "s#^APP_DATA_PATH = data#APP_DATA_PATH = ${EPREFIX}/var/lib/gitea/data#"
+		-e "s#^HTTP_ADDR = 0.0.0.0#HTTP_ADDR = 127.0.0.1#"
+		-e "s#^MODE = console#MODE = file#"
+		-e "s#^LEVEL = Trace#LEVEL = Info#"
+		-e "s#^LOG_SQL = true#LOG_SQL = false#"
+		-e "s#^DISABLE_ROUTER_LOG = false#DISABLE_ROUTER_LOG = true#"
+		-e "s#^APP_ID =#;APP_ID =#"
+		-e "s#^TRUSTED_FACETS =#;TRUSTED_FACETS =#"
+	)
+
+	sed -i "${sedcmds[@]}" custom/conf/app.ini.sample || die
+	if use sqlite ; then
+		sed -i -e "s#^DB_TYPE = .*#DB_TYPE = sqlite3#" custom/conf/app.ini.sample || die
+	fi
+
+	gitea_make generate
+}
+
+src_compile() {
+	gitea_make build
+}
+
+src_test() {
+	if has network-sandbox ${FEATURES}; then
+		einfo "Remove tests which are known to fail with network-sandbox enabled."
+		rm -rf ./modules/migrations/github_test.go
+	fi
+
+	if [[ ${PV} != 9999* ]] ; then
+		einfo "Remove tests which depend on gitea git-repo."
+		rm -rf ./modules/git/blob_test.go
+		rm -rf ./modules/git/repo_test.go
+	fi
+
+	default
+}
+
+src_install() {
+	dobin gitea
+
+	einstalldocs
+
+	newconfd "${FILESDIR}/gitea.confd-r1" gitea
+	newinitd "${FILESDIR}/gitea.initd-r3" gitea
+	newtmpfiles - gitea.conf <<-EOF
+		d /run/gitea 0755 git git
+	EOF
+	systemd_newunit "${FILESDIR}"/gitea.service-r2 gitea.service
+
+	insinto /etc/gitea
+	newins custom/conf/app.ini.sample app.ini
+	if use acct ; then
+		fowners root:git /etc/gitea/{,app.ini}
+		fperms g+w,o-rwx /etc/gitea/{,app.ini}
+
+		diropts -m0750 -o git -g git
+		keepdir /var/lib/gitea /var/lib/gitea/custom /var/lib/gitea/data
+		keepdir /var/log/gitea
+	fi
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: www-apps/gitea/files/, www-apps/gitea/
@ 2020-07-16 14:39 Joonas Niilola
  0 siblings, 0 replies; 7+ messages in thread
From: Joonas Niilola @ 2020-07-16 14:39 UTC (permalink / raw
  To: gentoo-commits

commit:     2d031cc0423b5b00c6bf0d2590df23d2a1541bde
Author:     Pierre-Olivier Mercier <nemunaire <AT> nemunai <DOT> re>
AuthorDate: Mon Jun 22 16:06:41 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Jul 16 14:38:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d031cc0

www-apps/gitea: bump to 1.12.1

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Pierre-Olivier Mercier <nemunaire <AT> nemunai.re>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 www-apps/gitea/Manifest                       |   1 +
 www-apps/gitea/files/1.12-fix-vendoring.patch |  13 +++
 www-apps/gitea/gitea-1.12.1.ebuild            | 126 ++++++++++++++++++++++++++
 3 files changed, 140 insertions(+)

diff --git a/www-apps/gitea/Manifest b/www-apps/gitea/Manifest
index 03f07b0b5f8..ec5260679a9 100644
--- a/www-apps/gitea/Manifest
+++ b/www-apps/gitea/Manifest
@@ -1,2 +1,3 @@
+DIST gitea-1.12.1.tar.gz 135104234 BLAKE2B 36510e25e8c2cc1c718702a7cd0be74bbf5448beb33a90732599a4830b0899b37dfc9a58e3a8ffdb5037e93f185ba3b09a0ac7b8acd629c46b1982d6aeab1ec1 SHA512 6ba8a703272e611aac4c214cd818490a9615a9ab9b64ec22ec2c6331e865226324896f600218fb3b39cea7b6649456db7ff18e1857ece6964ab5d3c6d99c3aec
 DIST gitea-src-1.11.6.tar.gz 68915319 BLAKE2B 8d8fd34fe38e153aa4af932a83933d0b5ad81a63bf7b7b5be59e64dd82db3282072686979a41fafa3ac2e523f79d6926ed057b2ed18645040bf1c446c6ab04b2 SHA512 57d5214a5e05581c134d42e00ec29fe15f3245a75440fca26c7162937570affc5a2e4ba8e903cb7f15fcb271144183ce5aa473457245f36d52686ea9f1cc93b3
 DIST gitea-src-1.11.8.tar.gz 68927493 BLAKE2B 4e1b1d201848227bd5d5bfac5bbddc291e2f14d7262bb2f8353131b6284520ecda3f844e81c23e95c5cd4ef17a6414e0b3c6adf6e6be5c59f7367c19a2e549d8 SHA512 13216a4d98211eb1a5c319992c9c253ce6f7a7a343ebfdca18802eb599f7300a3c23adbba94784f70ca604751ced5aac7d663a210885554c61a24857de79b6e6

diff --git a/www-apps/gitea/files/1.12-fix-vendoring.patch b/www-apps/gitea/files/1.12-fix-vendoring.patch
new file mode 100644
index 00000000000..9baff97307a
--- /dev/null
+++ b/www-apps/gitea/files/1.12-fix-vendoring.patch
@@ -0,0 +1,13 @@
+diff --git a/vendor/modules.txt b/vendor/modules.txt
+index efbc866..1c34104 100644
+--- a/vendor/modules.txt
++++ b/vendor/modules.txt
+@@ -845,6 +845,8 @@ gopkg.in/yaml.v2
+ # mvdan.cc/xurls/v2 v2.1.0
+ ## explicit
+ mvdan.cc/xurls/v2
++# src.techknowlogick.com/xgo v0.0.0-20200602060627-a09175ea9056
++## explicit
+ # strk.kbt.io/projects/go/libravatar v0.0.0-20191008002943-06d1c002b251
+ ## explicit
+ strk.kbt.io/projects/go/libravatar

diff --git a/www-apps/gitea/gitea-1.12.1.ebuild b/www-apps/gitea/gitea-1.12.1.ebuild
new file mode 100644
index 00000000000..18b851d0c98
--- /dev/null
+++ b/www-apps/gitea/gitea-1.12.1.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit fcaps go-module tmpfiles systemd
+MY_PV="${PV/_rc/-rc}"
+
+DESCRIPTION="A painless self-hosted Git service"
+HOMEPAGE="https://gitea.io"
+
+if [[ ${PV} != 9999* ]] ; then
+	SRC_URI="https://github.com/go-gitea/gitea/releases/download/v${MY_PV}/gitea-src-${MY_PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64"
+	S="${WORKDIR}"
+else
+	EGIT_REPO_URI="https://github.com/go-gitea/gitea"
+	inherit git-r3
+	S="${WORKDIR}/${P}"
+fi
+
+LICENSE="Apache-2.0 BSD BSD-2 ISC MIT MPL-2.0"
+SLOT="0"
+IUSE="+acct build-client pam sqlite"
+
+BDEPEND="build-client? ( >=net-libs/nodejs-10[npm] )"
+COMMON_DEPEND="
+	acct? (
+		acct-group/git
+		acct-user/git[gitea] )
+	pam? ( sys-libs/pam )"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}
+	dev-vcs/git"
+
+DOCS=(
+	custom/conf/app.ini.sample CONTRIBUTING.md README.md
+)
+FILECAPS=(
+	cap_net_bind_service+ep usr/bin/gitea
+)
+PATCHES=(
+	"${FILESDIR}/1.12-fix-vendoring.patch"
+)
+
+src_prepare() {
+	default
+
+	local sedcmds=(
+		-e "s#^RUN_MODE = dev#RUN_MODE = prod#"
+		-e "s#^ROOT =#ROOT = ${EPREFIX}/var/lib/gitea/gitea-repositories#"
+		-e "s#^ROOT_PATH =#ROOT_PATH = ${EPREFIX}/var/log/gitea#"
+		-e "s#^APP_DATA_PATH = data#APP_DATA_PATH = ${EPREFIX}/var/lib/gitea/data#"
+		-e "s#^HTTP_ADDR = 0.0.0.0#HTTP_ADDR = 127.0.0.1#"
+		-e "s#^MODE = console#MODE = file#"
+		-e "s#^LEVEL = Trace#LEVEL = Info#"
+		-e "s#^LOG_SQL = true#LOG_SQL = false#"
+		-e "s#^DISABLE_ROUTER_LOG = false#DISABLE_ROUTER_LOG = true#"
+		-e "s#^APP_ID =#;APP_ID =#"
+		-e "s#^TRUSTED_FACETS =#;TRUSTED_FACETS =#"
+	)
+
+	sed -i "${sedcmds[@]}" custom/conf/app.ini.sample || die
+	if use sqlite ; then
+		sed -i -e "s#^DB_TYPE = .*#DB_TYPE = sqlite3#" custom/conf/app.ini.sample || die
+	fi
+
+	einfo "Remove tests which are known to fail with network-sandbox enabled."
+	rm ./modules/migrations/github_test.go || die
+
+	einfo "Remove tests which depend on gitea git-repo."
+	rm ./modules/git/blob_test.go || die
+	rm ./modules/git/repo_test.go || die
+
+	# Remove already build assets (like frontend part)
+	use build-client && emake clean-all
+}
+
+src_compile() {
+	local gitea_tags=(
+		bindata
+		$(usev pam)
+		$(usex sqlite 'sqlite sqlite_unlock_notify' '')
+	)
+	local gitea_settings=(
+		"-X code.gitea.io/gitea/modules/setting.CustomConf=${EPREFIX}/etc/gitea/app.ini"
+		"-X code.gitea.io/gitea/modules/setting.CustomPath=${EPREFIX}/var/lib/gitea/custom"
+		"-X code.gitea.io/gitea/modules/setting.AppWorkPath=${EPREFIX}/var/lib/gitea"
+	)
+	local makeenv=(
+		TAGS="${gitea_tags[@]}"
+		LDFLAGS="-extldflags \"${LDFLAGS}\" ${gitea_settings[@]}"
+	)
+	[[ ${PV} != 9999* ]] && makeenv+=("DRONE_TAG=${MY_PV}")
+
+	if use build-client; then
+		# -j1 as Makefile doesn't handle dependancy correctly, and is not
+		# useful as golang compiler don't use this info.
+		env "${makeenv[@]}" emake -j1 build
+	else
+		env "${makeenv[@]}" emake backend
+	fi
+}
+
+src_install() {
+	dobin gitea
+
+	einstalldocs
+
+	newconfd "${FILESDIR}/gitea.confd-r1" gitea
+	newinitd "${FILESDIR}/gitea.initd-r3" gitea
+	newtmpfiles - gitea.conf <<-EOF
+		d /run/gitea 0755 git git
+	EOF
+	systemd_newunit "${FILESDIR}"/gitea.service-r2 gitea.service
+
+	insinto /etc/gitea
+	newins custom/conf/app.ini.sample app.ini
+	if use acct ; then
+		fowners root:git /etc/gitea/{,app.ini}
+		fperms g+w,o-rwx /etc/gitea/{,app.ini}
+
+		diropts -m0750 -o git -g git
+		keepdir /var/lib/gitea /var/lib/gitea/custom /var/lib/gitea/data
+		keepdir /var/log/gitea
+	fi
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: www-apps/gitea/files/, www-apps/gitea/
@ 2020-12-15  3:58 Sam James
  0 siblings, 0 replies; 7+ messages in thread
From: Sam James @ 2020-12-15  3:58 UTC (permalink / raw
  To: gentoo-commits

commit:     3d359434b819ba314db668d20fe12f1c456842a1
Author:     Pierre-Olivier Mercier <nemunaire <AT> nemunai <DOT> re>
AuthorDate: Tue Dec  8 09:21:34 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Dec 15 03:53:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d359434

www-apps/gitea: remove old

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Pierre-Olivier Mercier <nemunaire <AT> nemunai.re>
Closes: https://github.com/gentoo/gentoo/pull/18563
Signed-off-by: Sam James <sam <AT> gentoo.org>

 www-apps/gitea/Manifest                       |   1 -
 www-apps/gitea/files/1.12-fix-vendoring.patch |  13 ---
 www-apps/gitea/gitea-1.12.6.ebuild            | 135 --------------------------
 3 files changed, 149 deletions(-)

diff --git a/www-apps/gitea/Manifest b/www-apps/gitea/Manifest
index 2f47e4d5d3d..78ab2bbb979 100644
--- a/www-apps/gitea/Manifest
+++ b/www-apps/gitea/Manifest
@@ -1,2 +1 @@
-DIST gitea-1.12.6.tar.gz 135134376 BLAKE2B 762f5403a9c5524182c717d6d028ad7fae2ce01d66960635d5e3d1e0ad9027c431efb3604a89061d5354ac126eea8e412b52d9c9d1243b1dc56b9ecbabd2e7db SHA512 c581f84ffe793b80e445c70f3e60ed54a663ef2b2579959b4f1bd4ce5aa0f470ef6d6b13476cc920e615e18ef79ff461896c75ce8282f9b774e939dbbe1f2a49
 DIST gitea-1.13.0.tar.gz 150897624 BLAKE2B b09d3a695a399bfff813f45faf7435eb0b512d448e8329142d8131be786e0dee822a8491c58c8537545350162c89db39cbaaa0ba58c467f2494137f1313a9fec SHA512 bdcc1d3f53ba2b8a6c9964bc15449d3ea237853dfeb2f1da1e4c9f68fb5f09188b3fcef9a1c004ea774003181a85758eb95cff909cc39f6caa611b0505628739

diff --git a/www-apps/gitea/files/1.12-fix-vendoring.patch b/www-apps/gitea/files/1.12-fix-vendoring.patch
deleted file mode 100644
index 9baff97307a..00000000000
--- a/www-apps/gitea/files/1.12-fix-vendoring.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/vendor/modules.txt b/vendor/modules.txt
-index efbc866..1c34104 100644
---- a/vendor/modules.txt
-+++ b/vendor/modules.txt
-@@ -845,6 +845,8 @@ gopkg.in/yaml.v2
- # mvdan.cc/xurls/v2 v2.1.0
- ## explicit
- mvdan.cc/xurls/v2
-+# src.techknowlogick.com/xgo v0.0.0-20200602060627-a09175ea9056
-+## explicit
- # strk.kbt.io/projects/go/libravatar v0.0.0-20191008002943-06d1c002b251
- ## explicit
- strk.kbt.io/projects/go/libravatar

diff --git a/www-apps/gitea/gitea-1.12.6.ebuild b/www-apps/gitea/gitea-1.12.6.ebuild
deleted file mode 100644
index f4f0af94aa8..00000000000
--- a/www-apps/gitea/gitea-1.12.6.ebuild
+++ /dev/null
@@ -1,135 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-inherit fcaps go-module tmpfiles systemd
-MY_PV="${PV/_rc/-rc}"
-
-DESCRIPTION="A painless self-hosted Git service"
-HOMEPAGE="https://gitea.io"
-
-if [[ ${PV} != 9999* ]] ; then
-	SRC_URI="https://github.com/go-gitea/gitea/releases/download/v${MY_PV}/gitea-src-${MY_PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~arm ~arm64"
-	S="${WORKDIR}"
-else
-	EGIT_REPO_URI="https://github.com/go-gitea/gitea"
-	inherit git-r3
-	S="${WORKDIR}/${P}"
-fi
-
-LICENSE="Apache-2.0 BSD BSD-2 ISC MIT MPL-2.0"
-SLOT="0"
-IUSE="+acct build-client pam sqlite"
-
-BDEPEND="build-client? ( >=net-libs/nodejs-10[npm] )"
-COMMON_DEPEND="
-	acct? (
-		acct-group/git
-		acct-user/git[gitea] )
-	pam? ( sys-libs/pam )"
-DEPEND="${COMMON_DEPEND}"
-RDEPEND="${COMMON_DEPEND}
-	dev-vcs/git"
-
-DOCS=(
-	custom/conf/app.ini.sample CONTRIBUTING.md README.md
-)
-FILECAPS=(
-	cap_net_bind_service+ep usr/bin/gitea
-)
-PATCHES=(
-	"${FILESDIR}/1.12-fix-vendoring.patch"
-)
-
-RESTRICT="test"
-QA_PRESTRIPPED="usr/bin/gitea"
-
-src_prepare() {
-	default
-
-	local sedcmds=(
-		-e "s#^RUN_MODE = dev#RUN_MODE = prod#"
-		-e "s#^ROOT =#ROOT = ${EPREFIX}/var/lib/gitea/gitea-repositories#"
-		-e "s#^ROOT_PATH =#ROOT_PATH = ${EPREFIX}/var/log/gitea#"
-		-e "s#^APP_DATA_PATH = data#APP_DATA_PATH = ${EPREFIX}/var/lib/gitea/data#"
-		-e "s#^HTTP_ADDR = 0.0.0.0#HTTP_ADDR = 127.0.0.1#"
-		-e "s#^MODE = console#MODE = file#"
-		-e "s#^LEVEL = Trace#LEVEL = Info#"
-		-e "s#^LOG_SQL = true#LOG_SQL = false#"
-		-e "s#^DISABLE_ROUTER_LOG = false#DISABLE_ROUTER_LOG = true#"
-		-e "s#^APP_ID =#;APP_ID =#"
-		-e "s#^TRUSTED_FACETS =#;TRUSTED_FACETS =#"
-	)
-
-	sed -i "${sedcmds[@]}" custom/conf/app.ini.sample || die
-	if use sqlite ; then
-		sed -i -e "s#^DB_TYPE = .*#DB_TYPE = sqlite3#" custom/conf/app.ini.sample || die
-	fi
-
-	einfo "Remove tests which are known to fail with network-sandbox enabled."
-	rm ./modules/migrations/github_test.go || die
-
-	einfo "Remove tests which depend on gitea git-repo."
-	rm ./modules/git/blob_test.go || die
-	rm ./modules/git/repo_test.go || die
-
-	# Remove already build assets (like frontend part)
-	use build-client && emake clean-all
-}
-
-src_compile() {
-	local gitea_tags=(
-		bindata
-		$(usev pam)
-		$(usex sqlite 'sqlite sqlite_unlock_notify' '')
-	)
-	local gitea_settings=(
-		"-X code.gitea.io/gitea/modules/setting.CustomConf=${EPREFIX}/etc/gitea/app.ini"
-		"-X code.gitea.io/gitea/modules/setting.CustomPath=${EPREFIX}/var/lib/gitea/custom"
-		"-X code.gitea.io/gitea/modules/setting.AppWorkPath=${EPREFIX}/var/lib/gitea"
-	)
-	local makeenv=(
-		TAGS="${gitea_tags[@]}"
-		LDFLAGS="-extldflags \"${LDFLAGS}\" ${gitea_settings[@]}"
-	)
-	[[ ${PV} != 9999* ]] && makeenv+=("DRONE_TAG=${MY_PV}")
-
-	if use build-client; then
-		# -j1 as Makefile doesn't handle dependancy correctly, and is not
-		# useful as golang compiler don't use this info.
-		env "${makeenv[@]}" emake -j1 build
-	else
-		env "${makeenv[@]}" emake backend
-	fi
-}
-
-src_install() {
-	dobin gitea
-
-	einstalldocs
-
-	newconfd "${FILESDIR}/gitea.confd-r1" gitea
-	newinitd "${FILESDIR}/gitea.initd-r3" gitea
-	newtmpfiles - gitea.conf <<-EOF
-		d /run/gitea 0755 git git
-	EOF
-	systemd_newunit "${FILESDIR}"/gitea.service-r2 gitea.service
-
-	insinto /etc/gitea
-	newins custom/conf/app.ini.sample app.ini
-	if use acct ; then
-		fowners root:git /etc/gitea/{,app.ini}
-		fperms g+w,o-rwx /etc/gitea/{,app.ini}
-
-		diropts -m0750 -o git -g git
-		keepdir /var/lib/gitea /var/lib/gitea/custom /var/lib/gitea/data
-		keepdir /var/log/gitea
-	fi
-}
-
-pkg_postinst() {
-	fcaps_pkg_postinst
-	go-module_pkg_postinst
-	tmpfiles_process gitea.conf
-}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2020-12-15  3:58 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-11-24 14:03 [gentoo-commits] repo/gentoo:master commit in: www-apps/gitea/files/, www-apps/gitea/ Joonas Niilola
  -- strict thread matches above, loose matches on Subject: below --
2020-12-15  3:58 Sam James
2020-07-16 14:39 Joonas Niilola
2019-11-07  5:42 Joonas Niilola
2018-07-17 14:24 Manuel Rüger
2018-06-02 12:06 Manuel Rüger
2016-12-24 21:08 Manuel Rüger

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox